archlinux下装eva发生错误

回复
gluon
帖子: 55
注册时间: 2007-07-17 17:53
送出感谢: 0
接收感谢: 0

archlinux下装eva发生错误

#1

帖子 gluon » 2009-02-18 18:20

刚把fcitx装上,可以输入中文了。 :em11
官方的qq用不了,启动之后,界面一闪就消失了。

按照网上的指南装了yaourt,然后
yaourt -S eva

没有编辑pkgbuid:

代码: 全选

pkgname=eva
pkgver=0.4.1
pkgrel=1
arch=('i686')
pkgdesc="QQ protocol instant messaging client for KDE."
url="http://sourceforge.net/projects/evaq"
license="GPL"
depends=('kdelibs' 'qt3')
makedepends=('pkgconfig' 'make')
source=(http://internap.dl.sourceforge.net/sourceforge/evaq/$pkgname-$pkgver.tar.bz2)
md5sums=('975ad99a5ae2286432896968cb07334b')

build() {
	cd $srcdir/$pkgname
	./configure --prefix=`kde-config --prefix`
	make || return 1
	make DESTDIR=$pkgdir install
}
然后这里出错:

代码: 全选

checking for rpath... yes
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE libraries installed. This will fail.
So, check this please and use another prefix!
make: *** No targets specified and no makefile found.  Stop.
==> ERROR: Build Failed.
    Aborting...
Error: Makepkg was unable to build eva package.

missing dependency for bootchart : j2re
不太明白,要改pkgbuid吗,怎么改呢?请大家指教
头像
chenrui1983
帖子: 44
注册时间: 2008-04-12 19:13
送出感谢: 0
接收感谢: 0

Re: archlinux下装eva发生错误

#2

帖子 chenrui1983 » 2009-02-19 9:43

要先把KDE装上~~~~~~~!具体可以linuxsir上面问一下~~~~~
gluon
帖子: 55
注册时间: 2007-07-17 17:53
送出感谢: 0
接收感谢: 0

Re: archlinux下装eva发生错误

#3

帖子 gluon » 2009-02-19 14:56

kde已经装了,还装了lxde。今天firefox不知怎么又不能用了。 :em20
头像
lll9p
帖子: 1806
注册时间: 2007-07-18 18:56
送出感谢: 0
接收感谢: 0
联系:

Re: archlinux下装eva发生错误

#4

帖子 lll9p » 2009-02-20 0:44

LZ新建一个文本文件,把下面的代码复制进去,然后给这个文件加可执行权限,以后就可以用这个来打开官方的qq了。我用的是tar.gz那个版本。

代码: 全选

#!/bin/sh
#.linuxqq是qq程序所在的目录,替换为你的qq在的目录
cd ~/.linuxqq
./qq
头像
chenrui1983
帖子: 44
注册时间: 2008-04-12 19:13
送出感谢: 0
接收感谢: 0

Re: archlinux下装eva发生错误

#5

帖子 chenrui1983 » 2009-03-07 16:23

ABS里不是有linuxqq的pkgbuid了吗~~!
头像
想入非非
论坛版主
帖子: 8078
注册时间: 2008-07-14 22:42
来自: Beijing
送出感谢: 0
接收感谢: 0
联系:

Re: archlinux下装eva发生错误

#6

帖子 想入非非 » 2009-05-23 19:49

放弃了。。。看看openq怎么样,我的也是没有办法安装,所有办法都试过一遍了 :em04
Ubuntu User
头像
qiii2006
帖子: 1484
注册时间: 2008-08-20 18:33
来自: 泰达希尔
送出感谢: 0
接收感谢: 0
联系:

Re: archlinux下装eva发生错误

#7

帖子 qiii2006 » 2009-05-24 21:17

直接用webqq吧 ,比那个linuxqq强多了,用mozilla的prism扩展
qiibeta@twitter.com

我是心之所在,你好,世界

I,KDE
头像
jarryson
帖子: 4002
注册时间: 2005-08-14 19:53
送出感谢: 1 次
接收感谢: 2 次
联系:

Re: archlinux下装eva发生错误

#8

帖子 jarryson » 2009-05-24 21:22

需要安装KDE3的,现在KDE都是KDE4了,有必要么?为了个破QQ

pidgin带的,官方的,都够用了。要不wine一个,都没必要装个KDE3把
gluon
帖子: 55
注册时间: 2007-07-17 17:53
送出感谢: 0
接收感谢: 0

Re: archlinux下装eva发生错误

#9

帖子 gluon » 2009-07-04 3:49

谢谢大家 :em01
需要安装KDE3的,现在KDE都是KDE4了,有必要么?为了个破QQ

pidgin带的,官方的,都够用了。要不wine一个,都没必要装个KDE3把
那么好用的东西为什么不继续开发呢

后来转投官方qq
LZ新建一个文本文件,把下面的代码复制进去,然后给这个文件加可执行权限,以后就可以用这个来打开官方的qq了。我用的是tar.gz那个版本。
头像
gza633
帖子: 799
注册时间: 2009-03-13 14:26
送出感谢: 0
接收感谢: 0

Re: archlinux下装eva发生错误

#10

帖子 gza633 » 2009-07-04 16:21

直接用webQQ得了
回复

回到 “Arch发行版”